Bug 596410 - [Beaker] RFE: Ability to hide recipes from the matrix view.
Summary: [Beaker] RFE: Ability to hide recipes from the matrix view.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.5
Hardware: All
OS: Linux
low
high vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL: http://rhts.redhat.com/cgi-bin/rhts/j...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:53 UTC by Jeff Burke
Modified: 2010-07-15 12:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-14 19:51:07 UTC


Attachments (Terms of Use)
screen shot showing different place for ack/nak/needs review. (178.31 KB, image/png)
2010-06-09 21:43 UTC, Bill Peck
no flags Details

Description Jeff Burke 2010-05-26 17:53:57 UTC
Description of problem:
 In the current implementation when you view the matrix report. You may have several recipes that need to be cloned because of install failures. Once I investigate the failure I would like to hide the result and clone the recipe to a new job.

Version-Release number of selected component (if applicable):
Version - 0.5.40

Comment 1 Bill Peck 2010-05-28 00:43:04 UTC
Two parts to this bz.

1 - a UI to ack a task failure.  record who did the ack as well.

2 - Update matrix report to only show results that are not acked.  or show them but with a different color?

Comment 2 Raymond Mancy 2010-05-28 01:57:09 UTC
After talking with those concerned I've come up with the following

1 - Have a menu on the matrix report page that will allow the acking of tasks (at the recipeset level initially)

2 - Have this ack data persistently stored so it's remembered for every time the job is viewed 

3 - ignore results of acked tasks

4 - a reason textbox.

Comment 3 Raymond Mancy 2010-06-08 12:36:58 UTC
What I've implemented so far I've thrown up on beaker-stage.
It's complete minus the comments.

Tested it on firefox 3.5

Comment 4 Bill Peck 2010-06-09 21:43:48 UTC
Created attachment 422712 [details]
screen shot showing different place for ack/nak/needs review.


Hi Ray,

Can we move the Ack/Nak to the recipeSet view? In its current form you don't have the information handy to determine if the recipeSet is valid or not.

The attached pic shows what I'm thinking..

Also some transcript from Jeff and I on irc..

<bpeck> In fact.. how about
 ( ) Ack    ( ) Nack  (*) Not looked at
 or Not Reviewed
<jburke> I guess that would make sense but then I would explicily have to either nack or ack
 less work the better
<bpeck> I thought one of the things you wanted was so that other reviewers would know you looked at this failure already
 I acknowledge this failure.
 no need to investiagte again
<jburke> treu
 true
<bpeck> I suppose only failed recipesets need this
<jburke> fail/warn
<bpeck> or we default pass to "Ack:
<jburke> I think you can get away with only two Ack and Needs Review.
 Pass will default to Ack, Fail/Warn default to Need Review
 Once it is reviewed it is then moved to Ack
<bpeck> but then it will show up?
 in the matrix
<jburke> not sure I guess it depends on implementation
* jburke getting confused
<jburke> heh
<bpeck> were trying to accomplish two things.    Has someone looked at this result.   and is it a valid result
<jburke>  Has someone looked at this result. = Needs Review.  Is it a vaid result = Ack
<bpeck> ok
<jburke> but let me verify I am not over simplifing this
<bpeck> so we still need nak
<jburke> nak will be for hiding it from the matirx view
<bpeck> maybe the radio button is throwing you
 yes
<jburke> ok I got it
<bpeck> only one of those states can be valid at once
<jburke> right
<bpeck> so the current view looks correct then?
 or do we need more review?
<jburke> No I think it is good
<bpeck> ok
 should the matrix report include a list at the bottom of excluded recipes?  with comments?
 it would be off the screen normally
<jburke> a key/legend?
<bpeck> no
<jburke> ok I gotcha
 hmm
<bpeck> like an audit trail
 this report shows all green.  but look below for exceptions
<jburke> maybe a show all
 have the option to look at the matrix "as-is" now ack/nack override
 now = no
 No how you have a show all results button
 mNo = know



So to summarize:

RecipeSet.Status != Pass    Default to "Needs Review"
RecipeSet.Status == Pass    Default to "AcK"


And on the Matrix page itself we would like an option for overriding the Naks.  

[ ] Show All


The above provides two features actually. 

1) Allows invalid results to be omitted
2) provides feedback to reviewers about which results need review.

Comment 5 Raymond Mancy 2010-06-11 07:13:19 UTC
Based on what I've read above, I've created something which should fit the bill.
It's on http://beaker-stage.app.eng.bos.redhat.com at the moment.

Once it's not "Needs Review" it can never need review again.
It's also only accesable by owner or admin.

Please let me know if anything needs changing (other than the omission of comments, they're still coming).

Comment 6 Raymond Mancy 2010-06-16 08:17:05 UTC
It's up on beaker-devel.bne but I won't be submitting it until i can fix my testing....

Comment 7 Raymond Mancy 2010-06-23 07:20:02 UTC
This has been commited

http://git.fedorahosted.org/git/?p=beaker.git;a=shortlog;h=refs/heads/bz596410

Comment 8 Bill Peck 2010-07-07 14:37:34 UTC
merged into master. Should be in 0.5.48 release.

Comment 9 Petr Šplíchal 2010-07-15 12:43:08 UTC
Wow! That's a great feature! Thanks, guys!


Note You need to log in before you can comment on or make changes to this bug.